using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.XR;

public class UIScoreController : MonoBehaviour
{
    public GameObject firstPersonUI;

    public GameObject thirdPersonUI;

    private TextMeshProUGUI txtCollectedCount;
    private TextMeshProUGUI txtTotalCount;

    private int score = 0;

    void Start()
    {
        ChoseUI();
    }

    private void ChoseUI()
    {
        if (XRSettings.isDeviceActive)
        {
            firstPersonUI.SetActive(true);
            thirdPersonUI.SetActive(false);
            txtCollectedCount = firstPersonUI.transform.GetChild(0).GetChild(0).gameObject.GetComponent<TextMeshProUGUI>();
            txtTotalCount = firstPersonUI.transform.GetChild(0).GetChild(2).gameObject.GetComponent<TextMeshProUGUI>();
        }
        else
        {
            firstPersonUI.SetActive(false);
            thirdPersonUI.SetActive(true);
            print(thirdPersonUI.transform.GetChild(0).GetChild(0).gameObject.name);
            print(thirdPersonUI.transform.GetChild(0).GetChild(2).gameObject.name);
            txtCollectedCount = thirdPersonUI.transform.GetChild(0).GetChild(0).gameObject.GetComponent<TextMeshProUGUI>();
            txtTotalCount = thirdPersonUI.transform.GetChild(0).GetChild(2).gameObject.GetComponent<TextMeshProUGUI>();
        }
    }

    public void SetTotalCount(int count)
    {
        txtTotalCount.text = count.ToString();
    }

    public void SetCurrentCount(int count)
    {
        txtCollectedCount.text = count.ToString();
    }

    public void IncrementCount()
    {
        score++;
        LogManager.Instance.RegisterCollectible(score);
        SetCurrentCount(score);
    }
}
