import socket
import random
import time
import pyautogui

# UDP_IP = "192.168.1.112" # VR headset: 192.168.1.112
UDP_IP = "127.0.0.1"
UDP_PORT = 5000

FOLDER_PATH = "DATA/"
SUBFOLDER_PATH = "TestData/"
DATA = "forward-3sec.txt"
# DATA = "backward-3sec.txt"
# DATA = "left-3sec.txt"
# DATA = "right-3sec.txt"

# File to read data from
# DATA = ""


# SUBFOLDER_PATH = "RealData/"
# DATA = "data-30sec.txt"
# DATA = "data-60sec.txt"

# refreshRate = 0.02
refreshRate = 0.1

# Initialize spatial values
x = 0
y = 0
z = 0
x_theta = 0
y_theta = 0
z_theta = 0

# Create a UDP socket
sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

# Aggregate values into a string
# Output format: (x, y, z, x_theta, y_theta, z_theta)
def aggregateValuesToString(x, y, z, x_theta, y_theta, z_theta):
	return str(x) + "," + str(y) + "," + str(z) + "," + str(x_theta) + "," + str(y_theta) + "," + str(z_theta)


# Read data from file
if DATA != "":

	# If a file with data exist, let's use it
	with open(FOLDER_PATH + SUBFOLDER_PATH + DATA) as file:

		for line in file:

			# Split the line into strings (it's seperated by spaces)
			# strings = line.split('\x00')
			strings = line.split('|')

			# Split each string into values (seperated by _)
			for string in strings:

				values = string.split('_')
				print(values)	
				# Assign values
				timestamp, x, y, z, x_theta, y_theta, z_theta = values

				# Send values
				data = aggregateValuesToString(z, y, x, x_theta, y_theta, z_theta)
				sock.sendto(data.encode(), (UDP_IP, UDP_PORT))

				print(data)
			
				# Sleep for 0.1 seconds
				time.sleep(refreshRate)

# If no file with data exist, let's use mouse position
else:
	while True:
		# Use mouse position as data instead
		x = pyautogui.position()[0]
		z = pyautogui.position()[1]
		data = aggregateValuesToString(x, y, z, x_theta, y_theta, z_theta)
		sock.sendto(data.encode(), (UDP_IP, UDP_PORT))
		print("Sent: " + data)
		time.sleep(refreshRate)